> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/describeeipmonitordata.md).

# DescribeEipMonitorData

## 1. API Description

This API (DescribeEipMonitorData) is used to query the performance data of the elastic IP.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                                   | Description                                                                                                          |
| -------------- | -------- | -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String                                                                                 | Elastic IP ID.                                                                                                       |
| metricType     | Yes      | [EipMonitorMeta](/api-reference/compute/zec/datastructure.md#eipmonitormeta)           | Performance metrics.                                                                                                 |
| startTime      | Yes      | String                                                                                 | <p>Start time of the query.</p><p>Time format: yyyy-MM-ddTHH:mm:ssZ.</p>                                             |
| endTime        | Yes      | String                                                                                 | <p>End time of the query.</p><p>Time format: yyyy-MM-ddTHH:mm:ssZ.</p>                                               |
| step           | No       | Integer                                                                                | <p>Time duration.</p><p>Default value: 5 minutes;</p><p>Supported values: 1 or 5 minutes.</p><p>Default value: 5</p> |
| direction      | No       | [EipTrafficDirection](/api-reference/compute/zec/datastructure.md#eiptrafficdirection) | Traffic direction.                                                                                                   |

## 3. Output Parameters

| Parameter Name    | Type                                                                                  | Description                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId         | String                                                                                | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| inMaxValue        | Float                                                                                 | Inbound maximum value.                                                                                                |
| inAvgValue        | Float                                                                                 | Inbound average value.                                                                                                |
| inMinValue        | Float                                                                                 | Inbound minimum value.                                                                                                |
| inTotalValue      | Float                                                                                 | Inbound total value.                                                                                                  |
| outMaxValue       | Float                                                                                 | Outbound maximum value.                                                                                               |
| outAvgValue       | Float                                                                                 | Outbound average value.                                                                                               |
| outMinValue       | Float                                                                                 | Outbound minimum value.                                                                                               |
| outTotalValue     | Float                                                                                 | Outbound total value.                                                                                                 |
| loseOutMaxValue   | Float                                                                                 | Outbound maximum loss value.                                                                                          |
| loseOutMinValue   | Float                                                                                 | Outbound minimum loss value.                                                                                          |
| loseOutTotalValue | Float                                                                                 | Outbound total loss value.                                                                                            |
| loseInMaxValue    | Float                                                                                 | Inbound maximum loss value.                                                                                           |
| loseInMinValue    | Float                                                                                 | Inbound minimum loss value.                                                                                           |
| loseInTotalValue  | Float                                                                                 | Inbound total loss value.                                                                                             |
| dataList          | Array of [EipMetricValue](/api-reference/compute/zec/datastructure.md#eipmetricvalue) | Information on performance data.                                                                                      |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the performance data of the elastic IP.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipMonitorData
<Common Request Params>

Request：
{
    "eipId": "< EipId >",
    "metricType": "BANDWIDTH",
    "startTime": "2025-06-25T01:55:00Z",
    "endTime": "2025-06-25T07:55:00Z"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "inMaxValue": 1.2,
    "inAvgValue": 1.2,
    "inMinValue": 1.2,
    "inTotalValue": 1.2,
    "outMaxValue": 1.2,
    "outAvgValue": 1.2,
    "outMinValue": 1.2,
    "outTotalValue": 1.2,
    "loseOutMaxValue": 1.2,
    "loseOutMinValue": 1.2,
    "loseOutTotalValue": 1.2,
    "loseInMaxValue": 1.2,
    "loseInMinValue": 1.2,
    "loseInTotalValue": 1.2,
    "dataList": [
      {
        "time": "2023-07-11T08:05:00Z",
        "in": 1.2,
        "out": 1.2,
        "loseIn": 1.2,
        "loseOut": 1.2
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                        | Description                                                               |
| ---------------- | ------------------------------------------------- | ------------------------------------------------------------------------- |
| 400              | OPERATION\_DENIED\_TIME\_STEP\_NOT\_SUPPORT       | Data point intervals are not supported.                                   |
| 400              | INVALID\_TIME\_RANGE                              | The query time range is invalid.                                          |
| 404              | INVALID\_EIP\_NOT\_FOUND                          | Elastic IP does not exist.                                                |
| 400              | OPERATION\_DENIED\_EIP\_DIRECTION\_NOT\_SUPPORTED | The direction parameter is only valid for PathBasedBandwidthIP type EIPs. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/describeeipmonitordata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
